Groovy 1.7.10

## org.codehaus.groovy.reflection
[Java] Class ReflectionCache

    java.lang.Object
      org.codehaus.groovy.reflection.ReflectionCache

    public class ReflectionCache
    extends Object

Field Summary
`static CachedClass` | `OBJECT_ARRAY_CLASS`
`static CachedClass` | `OBJECT_CLASS`

Method Summary
`static Class` | `autoboxType(Class type)`
`static CachedClass` | `getCachedClass(Class klazz)`
`static String` | `getMOPMethodName(CachedClass declaringClass, String name, boolean useThis)`
`static boolean` | `isArray(Class klazz)`
`static boolean` | `isAssignableFrom(Class klazz, Class aClass)`

Methods inherited from class Object
wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll

Field Detail

### OBJECT_ARRAY_CLASS

    public static final CachedClass OBJECT_ARRAY_CLASS

### OBJECT_CLASS

    public static final CachedClass OBJECT_CLASS

Method Detail

### autoboxType

    public static Class autoboxType(Class type)

### getCachedClass

    public static CachedClass getCachedClass(Class klazz)

### getMOPMethodName

    public static String getMOPMethodName(CachedClass declaringClass, String name, boolean useThis)

### isArray

    public static boolean isArray(Class klazz)

### isAssignableFrom

    public static boolean isAssignableFrom(Class klazz, Class aClass)

Copyright © 2003-2010 The Codehaus. All rights reserved.